### Function

# GObject flags_to_string

since: 2.54

#### Declaration

    gchar*
    g_flags_to_string (
      GType flags_type,
      guint value
    )

#### Description

Pretty-prints `value` in the form of the flag names separated by `|` and sorted. Any extra bits will be shown at the end as a hexadecimal number.

This is intended to be used for debugging purposes. The format of the output may change in the future.

Available since: 2.54

#### Parameters

`flags_type`

  Type: `GType`

  The type identifier of a `GFlagsClass` type.

`value`

  Type: `guint`

  The value.

#### Return value

Type: `gchar*`

A newly-allocated text string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.